Automations · Contacts

Create contact

Creates a contact.

POSThttps://api.pozy.ai/v1/contacts
createContact

Guide: Contacts

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the contacts resource group disabled get 403 resource_group_disabled. Authentication

Request body

application/json, required

  • profileIdstringrequired
  • namestringrequired
  • emailstring
  • companystring
  • tagsarray of string
  • isSubscribedboolean

    Default true.

  • notesstring
  • accountIdstring
  • platformstring

    One of instagram, facebook, telegram, twitter, bluesky, reddit, whatsapp, slack, sms.

  • platformIdentifierstring
  • displayIdentifierstring

Example

curl -X POST "https://api.pozy.ai/v1/contacts" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "profileId": "6a0b6573846efc28aaa9a3ff",
  "name": "Acme"
}'

Response

200 on success

  • successboolean
  • contactobject
    10 child fields
    • idstring
    • namestring
    • emailstring
    • companystring
    • tagsarray of string
    • isSubscribedboolean
    • isBlockedboolean
    • customFieldsobject
    • notesstring
    • createdAtstring (date-time)
  • channelobject
    • idstring
    • platformstring
    • platformIdentifierstring
    • displayIdentifierstring
  • warningstring
200 response
{
  "success": true,
  "contact": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "email": "alex@example.com",
    "company": "string",
    "tags": [
      "string"
    ],
    "isSubscribed": true,
    "isBlocked": true,
    "customFields": {},
    "notes": "string",
    "createdAt": "2026-10-02T09:00:00.000Z"
  },
  "channel": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "platform": "instagram",
    "platformIdentifier": "instagram",
    "displayIdentifier": "string"
  },
  "warning": "string"
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Contacts